using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Web.Caching;

public partial class test_cache_temps1 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {		
		string heure;
		if (Cache["heure"] == null)
		{
			heure = DateTime.Now.ToLongTimeString();
			Cache.Add("heure", // clé
					  heure,   // valeur
					  null,		// dépendance fichier ou SQL
					  DateTime.Now.AddSeconds(30), // temps
					  TimeSpan.Zero, // temps relatif
					  CacheItemPriority.Default, // priorité
					  null); // callback
		}
		else
			heure = (string)Cache["heure"];

		Label1.Text = heure;
    }
}
